<template>
  <div class="hello">
    {{mixin}}
    {{mixinObj.a}}
    {{mixinObj.b}}
    <button @click="go()">go</button>
  </div>
</template>

<script>
import Mixin from './Mixin'
export default {
  name: 'HelloWorld',
  mixins:[Mixin],
  data () {
    return {
      msg: 'HelloWorld'
    }
  },
  methods:{
      go(){
          this.$router.push({
              name:'HelloWorldMixin'
          })
      }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>

</style>
